# -*- coding: utf-8 -*-
# Generated by Django 1.11.17 on 2021-06-03 14:25
from __future__ import unicode_literals

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('customers', '0058_auto_20210525_1414'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalUpdateInfoTemp',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False, verbose_name='created at')),
                ('email', models.EmailField(max_length=254)),
                ('phone', models.CharField(max_length=75, verbose_name='phone')),
                ('id_pulso', models.PositiveIntegerField(blank=True, null=True)),
                ('street_location_id', models.PositiveIntegerField(blank=True, null=True)),
                ('services', django.contrib.postgres.fields.jsonb.JSONField(null=True, verbose_name='Flag')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical update info temp',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
        ),
        migrations.CreateModel(
            name='UpdateInfoTemp',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('email', models.EmailField(max_length=254)),
                ('phone', models.CharField(max_length=75, verbose_name='phone')),
                ('id_pulso', models.PositiveIntegerField(blank=True, null=True)),
                ('street_location_id', models.PositiveIntegerField(blank=True, null=True)),
                ('services', django.contrib.postgres.fields.jsonb.JSONField(null=True, verbose_name='Flag')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='customer',
            name='id_pulso',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='customer',
            name='street_location_id',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='historicalcustomer',
            name='id_pulso',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='historicalcustomer',
            name='street_location_id',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='historicalservice',
            name='id_pulso',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='historicalservice',
            name='street_location_id',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='service',
            name='id_pulso',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='service',
            name='street_location_id',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='updateinfotemp',
            name='customer',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='customers.Customer', verbose_name='customer'),
        ),
        migrations.AddField(
            model_name='historicalupdateinfotemp',
            name='customer',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.Customer'),
        ),
        migrations.AddField(
            model_name='historicalupdateinfotemp',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
    ]
